TOPPRED(1)

NAME

toppred - Transmembrane topology prediction.

SYNOPSIS
toppred [options] <seq data> ...

OPTIONS
Following command line options are allowed:

-c value
    Use value as certain cut-off value. Default is 1.

-d val
    Use val as critical distance between 2 transmembrane segments. If 2 calculated segments are separated by a distance smaller than val amino-acids only the segment with best hydrophobicity value is taken in account. Default is 2.

-e  switch the cyt-ext calculus to Eucaryotes. Default is Procaryotes.

-g format
    Produce or display hydrophobic profile in specified format. Currently the supported values for format are:

    x11  : display the graph on screen (default).
    ps   : produce a .ps file.
    png  : produce a .png file.
    ppm  : produce a .ppm file.
    none : no profile is produced.

    Warning: this option and the related values are only available if toppred is compiled with the gnuplot support.

-h  Usage display.

-H file
    Load hydrophobicity scale from file, default is GES-scale. Accepted values are either:

    KD-scale  : (Kyte and Doolittle, J. Mol. Biol (1982) 157, 105-132 )
    GES-scale : (Goldman Engelman Steitz Ann. Rev. Biophys. Biophys. Chem. 1986 15/ 321 53)
    GVH-scale : (Gunnar von Heijne J. Mol. Biol. (1992) 225, 487-494)
    either your own hydrophobicity scale file. In this case the hydrophobicity scale file must be located in the working directory.

    In order to use your own hydrophobicity scale file, see the format of the supported scale files in the toppred data directory on your system; look in /usr/share/toppred/or /usr/local/share/toppred/, or ask your system administrator.

-n value
    Use value as a core window length, default is 11.

-o file
    Place the output into file, and store all other files to the same directory than file.

-O format
    Print output in the specified format. Supported values are: old: old toppred output format, new: new toppred output format (the default value), html: produce an html page per sequence, note that if not specified hydrophobic profile and topologies representation are forced in png format.

-p value
    Use value as putative cut-off, default is 0.6.

-q value
    Use value as wedge window length, default is 5.

-s value
    Use value as critical loop length. If a loop between 2 transmembrane segments has a length greater than val the Lys/Arg ratio is not taken in account to determine the topologies. Default is 60.

-t format
    Produce images of the topologies in specified format. Currently the supported values for format are: png: produces images of the topologies in png format, none: no graphic representation of the topologies is produced. Default is png.

    Warning: this option and the related values are only available if toppred is compiled with the libgdb support.

-v  Display the version number.

FORMAT
toppred only handles fasta sequence format as input.

toppred handles 2 output format via the -O flag.

DESCRIPTION
toppred is a program to determine the topology of a transmembrane protein based on G. von Heijne algorithm.

"Membrane protein structure prediction. Hydrophobicity analysis and the positive-inside rule." J. Mol. Biol. 1992 225,487-494.

Each sequence from seq data in fasta format is processed, and toppred generate the Hydrophobycity profile of the sequence, and the corresponding hydrophobycities values in the file <sequence-ID>.hydro.

Furthermore, the predicted topologies are represented as png images. Each topology is stored in file <sequence-ID>-<number>.png

The hydrophobicity profile is computed using a window formed by a core rectangular window of size n, flanked by 2 triangular windows of size q. NB rectangular and triangular mean that the ponderation values inside those windows are respectively constant and variable.

The hydrophobicity profile is computed using the following window

        ->     n     <-
          ___________
         /|         |\
        / |         | \
       /__|_________|__\
     -> q  <-     -> q  <-
     ->   l = n + 2q    <-

Thus one can use a rectangular window by setting q to 0.

toppred produces the following output files, depending on the command line options

foo.hydro
    File containing the hydrophobic values for the sequence foo.

foo.ps, foo.ppm, foo.png
    Image representing the hydrophobic profile for the sequence foo in postcript, ppm or png format depending on the -g option value specified on command line, respectively -g ps, -g ppm or -g png.

foo-1.png ... foo-n.png
    Image representing the graphic representation of the predicted topology 1... n for the sequence foo in png format if the -t png option is given on the command line.

ENVIRONMENT
TOPPREDDATA could be used to specify an alternate toppred data folder

EXAMPLES
Consider the fasta formated sequence foo in file bar.

toppred bar
    Process all sequences in fasta format from bar, display for each sequence the hydrophobicity profile, produce the corresponding foo.hydro and the corresponding foo-<#>.png graphical topologies representation as png images.

toppred -g ps bar
    Same as previous, except that instead of displaying the hydrophobicity profile on screen, this one is produced in a postcript format image foo.ps

toppred -g none bar
    Same a previous, except that the hydrophobicity profile is not displayed neither produced.

toppred -g none -t none bar
    Same a previous, except that neither the hydrophobicity profile neither the graphical topologies representation are not produced

toppred -H KD-scale bar
    Use KD scale instead of default GES scale, while processing sequences.

toppred -O html -g png -t none -o result bar
    Write html outpout in file result, furthermore the hydrophobicity profile is produced in PNG format and graphics topologies are not produced.

cat bar | toppred -
    toppred is able to read data from stdin.

AUTHORS
Eric Deveaud <edeveaud@pasteur.fr>, Institut Pasteur and Katja Schuerer.